### PS3 xorg.conf for Ubuntu / Debian Linux
### http://www.louiscandell.com/ps3/files/xorg.conf

Section "Files"
    FontPath    "/usr/share/X11/fonts/misc"
    FontPath    "/usr/share/X11/fonts/cyrillic"
    FontPath    "/usr/share/X11/fonts/100dpi/:unscaled"
    FontPath    "/usr/share/X11/fonts/75dpi/:unscaled"
    FontPath    "/usr/share/X11/fonts/Type1"
    FontPath    "/usr/share/X11/fonts/100dpi"
    FontPath    "/usr/share/X11/fonts/75dpi"
    FontPath    "/usr/share/fonts/X11/misc"
    # path to defoma fonts
    FontPath    "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
    Load    "bitmap"
    Load    "ddc"
    Load    "dri"
    Load    "extmod"
    Load    "freetype"
    Load    "glx"
    Load    "int10"
    Load    "type1"
    Load    "vbe"
EndSection

Section "InputDevice"
    Identifier    "Generic Keyboard"
    Driver        "kbd"
    Option        "CoreKeyboard"
    Option        "XkbRules"    "xorg"
    Option        "XkbModel"    "pc105"
    Option        "XkbLayout"    "us"
    Option        "XkbOptions"    "lv3:ralt_switch"
EndSection

Section "InputDevice"
    Identifier    "Generic Mouse"
    Driver        "mouse"
    Option        "CorePointer"
    Option        "Device"        "/dev/input/mice"
    Option        "Protocol"        "ExplorerPS/2"
    Option        "ZAxisMapping"        "4 5"
EndSection

Section "Device"
    Identifier    "PlayStation RSX Video"
    Driver        "fbdev"
    Option        "ShadowFB"        "false"
#    Option        "UseFBDev"        "true"
EndSection

Section "Monitor"
    Identifier    "Generic Display"
    Option        "IgnoreEDID"
    HorizSync    30-90
    VertRefresh    20-150
    ModeLine "720p" 73.825 1280 1320 1368 1640 720 722 724 751 +hsync +vsync
    DisplaySize    320 180
EndSection

Section "Screen"
    Identifier    "Main Screen"
    Device        "PlayStation RSX Video"
    Monitor        "Generic Display"
    DefaultDepth    24
    DefaultFbBpp    32

    SubSection "Display"
        Viewport    0    0
        Depth        24
        FbBpp        32
        Modes        "1024x720" "1124x644"
    EndSubSection

    SubSection "Display"
        Depth        15
        Modes        "1024x720" "1024x768" "800x600" "640x480"
    EndSubSection

    SubSection "Display"
        Depth        16
        Modes        "576x384" "1024x768" "800x600" "640x480"
    EndSubSection
EndSection

Section "ServerLayout"
    Identifier    "Default Layout"
    Screen        "Main Screen"
    InputDevice   "Generic Keyboard"
    InputDevice   "Generic Mouse"
EndSection

Section "DRI"
    Mode    0666
EndSection
